# LocalizationService

The LocalizationService acts as a "gateway" to Umbraco data for operations which are related to Dictionary items and Languages.

[Browse the API documentation for ILocalizationService](https://apidocs.umbraco.com/v13/csharp/api/Umbraco.Cms.Core.Services.ILocalizationService.html).

* **Namespace:** `Umbraco.Cms.Core.Services`
* **Assembly:** `Umbraco.Core.dll`

All samples in this document will require references to the following dll:

* Umbraco.Core.dll

All samples in this document will require the following using statements:

```csharp
using Umbraco.Cms.Core.Services;
```

For Razor views:

```csharp
@using Umbraco.Cms.Core.Services
```

## Getting the service

### Dependency Injection

If you wish to use the localization service in a class, you need to specify the `ILocalizationService` interface in your constructor:

```csharp
public class MyClass
{
    private ILocalizationService _localizationService;

    public MyClass(ILocalizationService localizationService)
    {
        _localizationService = localizationService;
    }
}
```

In Razor views, you can access the localization service through the `@inject` directive:

```csharp
@inject ILocalizationService LocalizationService
```

## Samples

* [**Retrieving languages**](/umbraco-cms/13.latest/reference/management/services/localizationservice/retrieving-languages.md)\
  See examples on how to retrieve languages via the localization service - either individually or as a collection.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.umbraco.com/umbraco-cms/13.latest/reference/management/services/localizationservice.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
